﻿using IgOutlook.Infrastructure;
using IgOutlook.Infrastructure.Prism;
using IgOutlook.Modules.Calendar.Menus;
using Microsoft.Practices.Prism.Regions;
using Microsoft.Practices.Unity;
using IgOutlook.Modules.Calendar.Views;

namespace IgOutlook.Modules.Calendar
{
    public class CalendarModule : ModuleBase
    {
        public CalendarModule(IUnityContainer container, IRegionManager regionManager)
            : base(container, regionManager)
        {
 
        }

        protected override void RegisterTypes()
        {
            Container.RegisterTypeForNavigation<CalendarView>();
        }

        protected override void ResolveOutlookGroup()
        {
            RegionManager.Regions[RegionNames.OutlookBarGroupRegion].Add(Container.Resolve<CalendarGroup>());
        }
    }
}
